# Clive 'N' Wrench 1.0.6
# BID: FE211DBFAD6EA549

ALL_FPS:
  # Dynamic Resolution GPU Frame Timing target in ms = 0.9 * (1000/FPS)
  # It was derived by hooking `PSH.DynamicResolutionManager$$ScaleResolutionToAchieveFrameRate` before its first use
  # at instruction `LDR d1, [x8, #0x18]`
  # Then Edizon-SE's Pointer Search was used to find reliable offset chain
  -
    type: evaluate_write
    address: [MAIN, 0x3E8B368, 0x20, 0x620, 0x18]
    address_unsafe: true
    value_type: double
    value: "0.9 * FRAMETIME_TARGET"
